Before you get started with Datamars Livestock cloud software, check to see which version your web browser is on.  Later versions of the commonly supported browsers provide a smoother Datamars Livestock experience.  Earlier versions of browsers may not work with Datamars Livestock and will need to be upgraded.  See below to find your browser, supported version information (in brackets) and instructions to upgrade it.

Internet Explorer (version 10 and above) 

Which version of Internet Explorer am I using?
Click on the icon below to enter the Microsoft resource centre and for instructions
on updating Internet Explorer. 

Edge (version 13 and above)

Which version of Edge am I using?
Click on the icon below to enter the Microsoft resource centre and for instructions
on updating Edge.

Google Chrome (latest version)

Which version of Chrome am I using?
(Scroll down to the section Check for an update and see the current browser
version on your computer).
Click on the icon below to enter the Google resource centre and for instructions
on updating Chrome.

Mozilla Firefox (latest version) 

Which version of Firefox am I using?
Click on the icon below to enter the Mozilla Firefox resource centre and for instructions on updating Firefox.

Safari (version 9 and above) 

Which version of Safari am I using?
Click on the icon below to enter the Apple Support centre and update Safari for your iOS device.

Did this answer your question?